const { SlashCommandBuilder, EmbedBuilder } = require('discord.js');

module.exports = {
  data: new SlashCommandBuilder()
    .setName('message')
    .setDescription('Send a default game message')
    .setDefaultMemberPermissions(0)
    .addStringOption(option => option
      .setName('option')
      .setDescription('Which message to send')
      .setRequired(true)
      .addChoices(
        { name: 'welcome', value: 'welcome' },
        { name: 'moderators', value: 'moderators' },
      )),

  async execute(interaction) {
    const option = interaction.options.getString('option');

    if (option === 'welcome') {
      const embed0 = new EmbedBuilder()
        .setTitle('Rules')
        .setColor(process.env.EMBED_COLOR)
        .setDescription('De regels zijn dit seizoen niet abstract. Zorg ervoor dat de ervaring voor iedereen leuk is en blijft. Een grapje maken mag, maar verpest niet iemand anders zijn ervaring.');

      const embed1 = new EmbedBuilder()
        .setTitle('Information')
        .setColor(process.env.EMBED_COLOR)
        .addFields(
          { name: 'Whitelist', value: 'Join de Minecraft server en vul de gekregen code in door de `/whitelist` commando uit te voeren in discord. Door het commando `/removewhitelist` uit te voeren verwijder je jezelf van de whitelist.\n\u200B' },
          { name: 'Team', value: '**Team maken:** Voer het commando `/team create` uit in discord. Kleur kan je uitzoeken op deze website: [HTML Color Codes](https://htmlcolorcodes.com/color-picker/)\n\n**Inviten:** Voer het commando `/team invite <user>` uit in discord. Deze persoon zal een invite krijgen en deze accepteren of weigeren.\n\n**Leave:** Voer het commando `/team leave` uit om het team te verlaten.\n\u200B' },
          { name: 'Username', value: 'Door het commando `/setusername <type>` uit te voeren kan gekozen worden tussen de Minecraft of Discord username. Deze username zal op Discord en Minecraft weergegeven worden.' },
        );

      const embed2 = new EmbedBuilder()
        .setTitle('Links')
        .setColor(process.env.EMBED_COLOR)
        .setDescription('-> IP: polarcraft.xeovalyte.com\n-> [Minecraft Map](https://polarcraft.xeovalyte.com)');

      await interaction.reply({ embeds: [embed0, embed1, embed2] });
    } else if (option === 'moderators') {
      const embed = new EmbedBuilder()
        .setTitle('Commands')
        .setColor(process.env.EMBED_COLOR)
        .setDescription('`/suspend <user> <time> <reason>` Dit commando zorgt ervoor dat een persoon tijdelijk niks kan doen. Gebruik dit als er bijvoorbeeld gegriefd wordt');

      await interaction.reply({ embeds: [embed] });
    }
  },
};
